Available in🇮🇳 India
You can create an authorisation transaction using Razorpay APIs or Registration Link.
1.1 Using Razorpay APIs
To create an authorisation transaction using Razorpay APIs, you need to:Handy TipsFor the Authorisation Payment to be successful in a day (for example, 5th June), you should create an Order and the Authorisation Transaction on the same day (5th June) before 11:59 pm.
1.1.1 Create a Customer
Razorpay links recurring tokens to customers via a unique identifier. This unique identifier for the customer is generated using the Customer API. You can create customers with basic details such asemail and contact and use them for various Razorpay offerings. Know more about Customers.
You can create a customer using the below endpoint.
POST /customers
Request Parameters
name mandatory
: string The customer’s name. For example, Gaurav Kumar.
email mandatory
: string The customer’s email address. For example, gaurav.kumar@example.com.
contact mandatory
: string The customer’s phone number. For example, 9876543210.
fail_existing optional
: string The request throws an exception by default if a customer with the exact details already exists. You can pass an additional parameter fail_existing to get the existing customer’s details in the response. Possible values:
1(default): If a customer with the same details already exists, throws an error.0: If a customer with the same details already exists, fetches details of the existing customer.
notes optional
: object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
1.1.2. Create an Order
Use the Orders API to create a unique Razorpayorder_id that is associated with the authorisation transaction. The following endpoint creates an order.
POST /orders
Handy TipsThe subsequent payment frequency is displayed on your customer’s PSP. They can select the required frequency while registering for the mandate.
order_id, for example, order_1Aa00000000001, that would be tied to the authorisation transaction. Refer to our detailed Order documentation for more details.
Use the below endpoint to create an order.
POST /orders
You can create a payment against the order_id once it is generated.
Request Parameters
amount mandatory
: integer Amount, in paise.
currency mandatory
: string The 3-letter ISO currency code for the payment. Currently, we only support INR.
customer_id mandatory
: string The unique identifier of the customer. For example, cust_4xbQrmEoA5WJ01.
method mandatory
: string Payment method for the authorisation transaction. Here, the value should be upi.
receipt optional
: string Unique identifier for the order entered by you. For example, Receipt No. 1. This parameter should be mapped to the order_id sent by Razorpay.
notesoptional
: object Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
token
: Details related to the authorization such as max amount, frequency and expiry information.
max_amount mandatory
: integer The maximum amount that can be debited in a single charge.
For other categories and MCCs, the minimum value is
100 (₹1) and maximum value is 9999900 (₹99,999).
expire_at mandatory
: integer The Unix timestamp that indicates when the authorisation transaction must expire. The default value is 10 years and the maximum value allowed is 30 years.
frequency mandatory
: string The frequency at which you can charge your customer. Possible values:
dailyweeklyfortnightlybimonthlymonthlyquarterlyhalf_yearlyyearlyas_presented
recurring_value optional
: integer Determines the exact date or range of dates for recurring debits. Possible values are:
- 1-7 for
weeklyfrequency - 1-31 for
fortnightlyfrequency - 1-31 for
bimonthlyfrequency - 1-31 for
monthlyfrequency - 1-31 for
quarterlyfrequency - 1-31 for
half_yearlyfrequency - 1-31 for
yearlyfrequency and is not applicable for theas_presentedfrequency.
recurring_type optional
: string Determines when the recurring debit can be done. Possible values are:
on: Recurring debit happens on the exact day of every month.
Handy TipsFor creating an order with
recurring_type=on, set the recurring_value parameter to the current date.before: Recurring debit can happen any time before the specified date.after: Recurring debit can happen any time after the specified date.
monthly, recurring_value is 17 and recurring_type is before, recurring debit can happen between the month’s 1st and 17th. Similarly, if recurring_type is after, recurring debit can only happen on or after the 17th of the month.
bank_account mandatory
: Details of the bank account of the customer.
account_number mandatory
: integer The bank account number of the customer. For example, 123456789012345.
name mandatory
: string The name of the bank account holder.
ifsc mandatory
: The IFSC of the bank. For example, HDFC0000053.
1.1.3. Create an Authorisation Payment
Integrate with Razorpay Custom Checkout using the code given below to create an authorisation payment.Handler Function vs Callback URL
- Handler Function:
When you use the handler function, the response object of the successful payment (razorpay_payment_id,razorpay_order_idandrazorpay_signature) is submitted to the Checkout Form. You need to collect these and send them to your server. - Callback URL:
When you use a Callback URL, the response object of the successful payment (razorpay_payment_id,razorpay_order_idandrazorpay_signature) is submitted to the Callback URL.
Additional Checkout Fields
customer_id mandatory
: string Unique identifier of the customer created in the first step.
order_id mandatory
: string Unique identifier of the order created in the second step.
recurring mandatory
: string Possible values:
1: Recurring payment is enabled.preferred: Use this when you want to support recurring payments and one-time payment in the same flow.
1.2. Using a Registration Link
Registration Link is an alternate way of creating an authorisation transaction. You can create a registration link using the API or Dashboard.Handy Tips
- You do not have to create a customer if you choose the registration link method for creating an authorisation transaction.
- You can use Webhooks to get notifications about successful payments against a registration link.
₹1.
1.2.1. Create a Registration Link
The following endpoint creates a registration link.POST /subscription_registration/auth_links
Request Parameters
customer
: object Details of the customer to whom the registration link is sent.
name mandatory
: string Customer’s name.
email mandatory
: string Customer’s email address.
contactmandatory
: integer Customer’s contact number.
type mandatory
: string In this case, the value is link.
amount mandatory
: integer The payment amount in the smallest currency sub-unit.
currency mandatory
: string The 3-letter ISO currency code for the payment.
description mandatory
: string A description that appears on the hosted page.
subscription_registration
: Details of the authorisation transaction.
method mandatory
: string The payment method used to make authorisation transaction. Here, it is card.
max_amount mandatory
: integer Use to set the maximum amount (in paise) per debit request.
For other categories and MCCs, the minimum value is
100 (₹1) and maximum value is 9999900 (₹99,999).
expire_at optional
: integer The Unix timestamp till when you can use the token to charge the customer subsequent payments. The default value is 10 years and the maximum value allowed is 30 years.
frequency mandatory
: string The frequency at which you can charge your customer. Possible values:
dailyweeklyfortnightlybimonthlymonthlyquarterlyhalf_yearlyyearlyas_presented
recurring_value optional
: integer Determines the exact date or range of dates for recurring debits. Possible values are:
- 1-7 for
weeklyfrequency - 1-31 for
fortnightlyfrequency - 1-31 for
bimonthlyfrequency - 1-31 for
monthlyfrequency - 1-31 for
quarterlyfrequency - 1-31 for
half_yearlyfrequency - 1-31 for
yearlyfrequency and is not applicable for theas_presentedfrequency.
recurring_type optional
: string Determines when the recurring debit can be done. Possible values are:-
on: recurring debit happens on the exact day of every month. -
before: recurring debit can happens any time before the specified date. -
after: recurring debit can happens any time after the specified date.
For example, if the frequency ismonthly, recurring_value is17and recurring_type isbefore, recurring debit can happen between the month’s 1st and 17th. Similarly, if recurring_type isafter, recurring debit can only happen on or after the 17th of the month.bank_accountmandatory : Details of the bank account of the customer.
account_number mandatory
: integer The bank account number of the customer. For example, 123456789012345.
name mandatory
: string The name of the bank account holder.
ifsc mandatory
: string The IFSC of the bank. For example, HDFC0000053.
sms_notify optional
: boolean Indicates if SMS notifications are to be sent by Razorpay. Possible values:
true(default): Notifications are sent by Razorpay .false: Notifications are not sent by Razorpay.
email_notify optional
: boolean Indicates if email notifications are to be sent by Razorpay. Possible values:
true(default): Notifications are sent by Razorpay .false: Notifications are not sent by Razorpay.
expire_by optional
: integer The Unix timestamp indicates the expiry of the registration link.
receipt optional
: string A unique identifier entered by you for the order. For example, Receipt No. 1. You should map this parameter to the order_id sent by Razorpay.
notes optional
: object This is a key-value pair that is used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
1.2.2. Send/Resend Notifications
The following endpoint sends/resends notifications with the short URL to the customer:POST /invoices/:id/notify_by/:medium
Sample Code
Sample Code
Response
Path Parameters
idmandatory
: string The unique identifier of the invoice linked to the registration link for which you want to send the notification. For example, inv_1Aa00000000001.
medium mandatory
: string Determines through which medium you want to resend the notification. Possible values:
smsemail
1.2.3. Cancel a Registration Link
The following endpoint cancels a registration link.POST /invoices/:id/cancel
Handy TipsYou can only cancel registration link in the
issued state.Sample Code
Sample Code
Response
Path Parameter
id mandatory
: string The unique identifier for the invoice linked to the registration link that you want to cancel. For example, inv_1Aa00000000001.